## loci.formats
Class TiffWriter

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatWriter
              loci.formats.TiffWriter

public class TiffWriter
extends FormatWriter

TiffWriter is the file format writer for TIFF files.

Field Summary

Fields inherited from class loci.formats.FormatWriter
`fps`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`TiffWriter()`

Method Summary
`static void` `main(String[] args)`
`void` `save(String id, Image image, boolean last)` Saves the given image to the specified (possibly already open) file.
`void` `saveImage(String id, Image image, Hashtable ifd, boolean last)` Saves the given image to the specified (possibly already open) file.

Methods inherited from class loci.formats.FormatWriter
`getFramesPerSecond, save, setFramesPerSecond, testConvert`

Methods inherited from class loci.formats.FormatHandler
`createFilters, getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TiffWriter

    public TiffWriter()

Method Detail

### saveImage

    public void saveImage(String id,
                          Image image,
                          Hashtable ifd,
                          boolean last)
                   throws IOException,
                          FormatException

  Saves the given image to the specified (possibly already open) file. The IFD hashtable allows specification of TIFF parameters such as bit depth, compression and units. If this image is the last one in the file, the last flag must be set.

  Throws:
    `IOException`
    `FormatException`

### save

    public void save(String id,
                     Image image,
                     boolean last)
              throws FormatException,
                     IOException

  Saves the given image to the specified (possibly already open) file. If this image is the last one in the file, the last flag must be set.

  Specified by:
    `save` in class `FormatWriter`
  Throws:
    `FormatException`
    `IOException`

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`